unable to install NNTPGrab on Sabayon Linux 8 - help required

Added by leo_mancini over 2 years ago

Hi all,

I am having difficulty in installing NNTPgrab on my system.
I'm running Sabayon Linux 8 (which is Gentoo based), so I've followed the instructions for the Gentoo download.

The following has occurred...

(output of install commands)
http://pastebin.com/W8uRAEKP

and

output of emerge --info =net-nntp/nntpgrab-9999

http://pastebin.com/e96uijU2

Any help would be greatly appreciated.

Thank you.


Replies

RE: unable to install NNTPGrab on Sabayon Linux 8 - help required - Added by RomMon over 2 years ago

Hi Leo,

I see nobody got back to you yet.
I'm not using Gentoo or Sabayon, so I can only give general directions.

From the output I suspect you are missing some packages on your machine (subversion and eutils).
(For subversion you should be able to check this if it is installed or not with 'svn --version')
You can try to install these packages and give it another go.

Another option would be to compile from source.
I you do this carefully go over the configure output to see if there are errors regarding missing packages.

RE: unable to install NNTPGrab on Sabayon Linux 8 - help required - Added by leo_mancini over 2 years ago

Hi RomMon,

Thank you for your response.
I have confirmed that subversion is installed, though I'm not sure about the eutils
please have a look at the package manager output, I've searched for all packages called eutils
http://pastebin.com/D1xgyDNR

I've downloaded the nntpgrab-0.7.1 and attempted to run the configure command, it has the following output.
http://pastebin.com/1UvqAWJ5

after running make and make install, I have the binaries nntpgrab_server and nntpgrab_server_gtk
available, though I just get the following output as opposed to the GUI I was used to when I had installed it on my linux mint box.

paul@punzilla ~/nntpgrab-0.7.1 $ nntpgrab_server
Now initialising the NNTPGrab Core...
2012-04-04 07:55:06 - NNTPGrab Core - INFO - download_thread_func: initializing
2012-04-04 07:55:06 - NNTPGrab Core - INFO - download_thread_func: Prepared a list for maximum 0 connections
2012-04-04 07:55:06 - NNTPGrab Core - INFO - Download thread has nothing to do. Now entering suspend mode
2012-04-04 07:55:06 - NNTPGrab Core - INFO - download_thread_func: Request received to abort thread
2012-04-04 07:55:06 - NNTPGrab Core - INFO - download_thread_func: Download thread aborted and cleaned up

nntpgrab_server_gtk shows the above output within a GUI.

What I want is to be able to run the application as per screenshot
http://ic.tweakimg.net/ext/i/imagelarge/1231427279.png

Though so far no luck.

Do you have any ideas of where I may be going wrong, and what I can do to resolve this?

Thanks.

RE: unable to install NNTPGrab on Sabayon Linux 8 - help required - Added by RomMon over 2 years ago

Regarding the packages, I'm not sure. But I suspect eutils is not installed.

The nntpgrab_server binaries are indeed server only, so no GUI.
But you should also have the binary nntpgrab_gui

From the configure output and I don't see errors further I see:
189.config.status: creating client/Makefile
190.config.status: creating client/web/Makefile
191.config.status: creating client/gui/Makefile

So I would expect that that nntpgrab_gui would be installed.
Assuming there are no errors during make and make install

I just upgraded my slackware box to NG 0.7.1 without issues.
I'm not behind my slackware system.

# export DISPLAY=192.168.178.33:0
# nntpgrab_gui

And I get an image on my local screen (WinXP with Xming).

Let me know if you have nntpgrab_gui.

RE: unable to install NNTPGrab on Sabayon Linux 8 - help required - Added by leo_mancini over 2 years ago

Hi there,

no I don't have nntpgrab_gui installed on my system
I am receiving a make error as follows:

http://pastebin.com/mKga51hn

I am uncertain as to how to resolve this. I have attempted to install the latest gcc, though still without success.

Thanks.

RE: unable to install NNTPGrab on Sabayon Linux 8 - help required - Added by RomMon over 2 years ago

Nice challange this gives...

But strange that the nntpgrab_server binaries are installed.

'gcc --version' should show if a C compiler is installed. Check also 'g++ --version' for the C++ compiler.
(should be shipped with GCC 4.6 compiler according http://www.phoronix.com/scan.php?page=news_item&px=MTA1NDg)
Also check with 'ls -la /usr/bin/gcc*' maybe it is just a missing symlink.

Looking quickly over the installation howto, it expects gcc to be installed:
http://wiki.sabayon.org/index.php?title=En:Introduction#Installation_Guide:_Step_by_Step

According this howto there are a few version that you can install, did you choose a KDE, Gnome or Xfce version?

RE: unable to install NNTPGrab on Sabayon Linux 8 - help required - Added by Alguno over 2 years ago

leo_mancini wrote:

Hi all,

I am having difficulty in installing NNTPgrab on my system. I'm running Sabayon Linux 8 (which is Gentoo based), so I've followed the instructions for the Gentoo download.

The following has occurred...

(output of install commands) http://pastebin.com/W8uRAEKP

Hi,

I'm not familiar with Sabayon, but I'll try to help you as much as I can.
The output you mentioned includes these error messages:

  • ERROR: net-nntp/nntpgrab-0.7.1 failed (depend phase):
  • eutils.eclass could not be found by inherit()
  • ERROR: net-nntp/nntpgrab-9999 failed (depend phase):
  • subversion.eclass could not be found by inherit()

This means that the emerge tool which is used by Sabayon doesn't support various features which the emerge tool on real Gentoo environments does support.
Therefore, the NNTPGrab packages for Gentoo are unsuitable for Sabayon.

The subversion.eclass feature of emerge is documented at http://devmanual.gentoo.org/eclass-reference/subversion.eclass/index.html and
the eutils.eclass feature is documented at http://devmanual.gentoo.org/eclass-reference/eutils.eclass/index.html

You might want to ask in the Sabayon forums if these emerge features are supposed to be missing from Sabayon and what can be done to avoid these kind of errors.

Another possibility is to build NNTPGrab manually from source (as you already attempted)

leo_mancini wrote:

no I don't have nntpgrab_gui installed on my system I am receiving a make error as follows:

http://pastebin.com/mKga51hn

This is caused by a change in behaviour in Subversion 1.7 which confuses the NNTPGrab build system.
A fix for this has been applied in r1922 and will be part of the next NNTPGrab release.
If you don't want to wait until the next release you can try to manually apply this change to your source code tree
After this fix has been applied the nntpgrab_gui binary should install without any errors

RE: unable to install NNTPGrab on Sabayon Linux 8 - help required - Added by leo_mancini over 2 years ago

Hi all,

A kind gentleman within the Sabayon IRC chat room helped compile nntpgrab for me as follows.
I have since copied this and created a shortcut on my kde menu which works perfectly.

I'm not sure whether this will assist you, but ideally I would like it to be available within
Sabayon's package manager - Entropy.

I have made a request for nntpgrab to be added to the repository as follows
https://bugs.sabayon.org/show_bug.cgi?id=3163

I hope that this assists.

Thank you all for your help.

Regards,